import React from "react";
import { Card } from "./Card/Card";
import { useFetchZones } from "../../hooks/useFetchZones";
import { Flight } from "../../Types";

interface Props {
	flights?: Flight[];
}

export const Home: React.FC<Props> = (props) => {
    // const urlParams = new URLSearchParams(window.location.search);
    // const origin = urlParams.get('origin');
	// const { zones, error } = useFetchZones(origin);
	const { zones, error } = useFetchZones();

	return (
		<div className="Box">
			<h2>Flights</h2>
			<div className="Items">
					{(props.flights ? props.flights : zones).map((u) => {
						return <Card key={u.id} flight={u} />;
					})}
				{error ? <div className="Disconnected">{error}</div> : <></>}
			</div>
		</div>
	);
};
